<app-page-title [heading]="heading" [subheading]="subheading" [icon]="icon">
  <button type="button" class="btn btn-primary ml-1" (click)="buscarInfo()">
    <i class="fa fa-search mr-2"></i>Buscar
  </button>
  <button type="button" class="btn btn-danger ml-1" (click)="exportPdf()" [disabled]="dataGrid.length == 0">
    <i class="fa fa-file-pdf mr-2"></i>PDF
  </button>
</app-page-title>

<div class="main-card mb-3 card">
  <div class="card-body">

    <form [formGroup]="ngForm">

      <div class="row">
        <div class="form-group col-12 col-sm-3 col-md-3 col-lg-3 col-xl-3">
          <label class="w-100">Desde</label>
          <kendo-datepicker formControlName="fFec1" class="w-100" [format]="formatKendo">
          </kendo-datepicker>
        </div>
        <div class="form-group col-12 col-sm-3 col-md-3 col-lg-3 col-xl-3">
          <label class="w-100">Hasta</label>
          <kendo-datepicker formControlName="fFec2" class="w-100" [format]="formatKendo" [min]="ngForm.value.fFec1">
          </kendo-datepicker>
        </div>
        <div class="col-sm-3 col-md-3 col-lg-2 col-xl-2 form-group">
          <label class="w-100"></label>
          <input type="radio" name="iInt1" formControlName="iInt1" value="1" id="Todo" class="k-radio mt-2"
            [checked]="true">
          <label class="k-radio-label mr-2 mt-2 w-100" for="Todo">Todo</label>
          <input type="radio" name="iInt1" formControlName="iInt1" value="2" id="Hotel" class="k-radio">
          <label class="k-radio-label mr-2 w-100" for="Hotel">Hotel</label>
          <input type="radio" name="iInt1" formControlName="iInt1" value="3" id="TiempoCompleto" class="k-radio">
          <label class="k-radio-label mr-2 w-100" for="TiempoCompleto">Tiempo Comp.</label>
          <input type="radio" name="iInt1" formControlName="iInt1" value="4" id="TipoCuarto" class="k-radio">
          <label class="k-radio-label mr-2 w-100" for="TipoCuarto">Tipo Cuarto</label>
          <input type="radio" name="iInt1" formControlName="iInt1" value="5" id="IngAgrupado" class="k-radio">
          <label class="k-radio-label mr-2 w-100" for="IngAgrupado">Ing. Agrupado</label>
        </div>
        <div class="col-sm-3 col-md-3 col-lg-2 col-xl-2 form-group" *ngIf="ngForm.value.iInt1 == 4">
          <label class="w-100"></label>
          <input type="radio" name="iInt2" formControlName="iInt2" value="1" id="Agrupado" class="k-radio mt-2"
            [checked]="true">
          <label class="k-radio-label mr-2 mt-2 w-100" for="Agrupado">Agrupados</label>
          <input type="radio" name="iInt2" formControlName="iInt2" value="2" id="SinAgrupar" class="k-radio">
          <label class="k-radio-label mr-2 w-100" for="SinAgrupar">Sin Agrupar</label>
        </div>
      </div>

    </form>

    <div class="divider"></div>

    <kendo-grid [kendoGridBinding]="dataGrid" *ngIf="!loading" [selectable]="true" [filter]="filter" [filterable]="true"
      (filterChange)="filterChange($event)" [navigable]="true" [reorderable]="true" [resizable]="true" [sortable]="true"
      [pageSize]="pageSize" [skip]="skip" [pageable]="{buttonCount: 5, pageSizes: [10, 25, 50]}" style="height: 70vh;"
      class="mt-1">
      <div *ngIf="dataGrid.length !== 0">
        <ng-template kendoGridToolbarTemplate>
          <button type="button" class="btn btn-success" kendoGridExcelCommand icon="file-excel">Excel</button>
        </ng-template>
        <kendo-grid-column field="Fecha" title="Fecha" width="150">
          <ng-template kendoGridCellTemplate let-dataItem>{{ dataItem.Fecha | date: formatKendo }}
          </ng-template>
        </kendo-grid-column>
        <kendo-grid-column field="Dia" title="Día" width="100">
        </kendo-grid-column>
        <kendo-grid-column field="Tarifa" title="Tarifa" width="110">
        </kendo-grid-column>
        <kendo-grid-column field="TotalCuartos" title="Tot. Ctos." width="110" class="text-right">
        </kendo-grid-column>
        <kendo-grid-column field="FueraInv" title="F.I." width="100" class="text-right">
        </kendo-grid-column>
        <kendo-grid-column field="Disponibles" title="Disp." width="100" class="text-right">
        </kendo-grid-column>
        <kendo-grid-column field="Porcentaje" title="% Oucp." width="110" class="text-right">
        </kendo-grid-column>
        <kendo-grid-column field="Garantizadas" title="Garant." width="110" class="text-right">
        </kendo-grid-column>
        <kendo-grid-column field="NoGarantizadas" title="R.N.G." width="110" class="text-right">
        </kendo-grid-column>
        <kendo-grid-column field="Grupo" title="Grupo" width="110" class="text-right">
        </kendo-grid-column>
        <kendo-grid-column field="Cortesia" title="Cortesía" width="110" class="text-right">
        </kendo-grid-column>
        <kendo-grid-column field="UsoCasa" title="Uso Casa" width="110" class="text-right">
        </kendo-grid-column>
        <kendo-grid-column field="TiempoComp" title="T.S." width="110" class="text-right">
        </kendo-grid-column>
        <kendo-grid-column field="Casa" title="Casa" width="110" class="text-right">
        </kendo-grid-column>
        <kendo-grid-column field="CtosEsperados" title="Esp." width="110" class="text-right">
        </kendo-grid-column>
        <kendo-grid-column field="FueraServicio" title="F.S." width="110" class="text-right">
        </kendo-grid-column>
        <kendo-grid-column field="CtosVenta" title="Venta" width="110" class="text-right">
        </kendo-grid-column>
        <kendo-grid-column field="CFueraInv" title="CCFI" width="110">
        </kendo-grid-column>
        <kendo-grid-column field="ListaEspera" title="L.E." width="110">
        </kendo-grid-column>
        <kendo-grid-column field="Llegadas" title="Llegadas" width="110" class="text-right">
        </kendo-grid-column>
        <kendo-grid-column field="Salidas" title="Salidas" width="110" class="text-right">
        </kendo-grid-column>
        <kendo-grid-column field="Adultos" title="Adultos" width="110" class="text-right">
        </kendo-grid-column>
        <kendo-grid-column field="Juniors" title="Juniors" width="110" class="text-right">
        </kendo-grid-column>
        <kendo-grid-column field="Menores" title="Menores" width="110" class="text-right">
        </kendo-grid-column>
        <kendo-grid-excel fileName="{{this.heading}}.xlsx" [fetchData]="allData"></kendo-grid-excel>
      </div>
      <ng-template kendoGridNoRecordsTemplate>
        {{ noRecords }}
      </ng-template>
    </kendo-grid>

  </div>
  <app-loading *ngIf="loading"></app-loading>
</div>